/* ==========================================================================
   VARIABLES
   ========================================================================== */

:root {
    --theme: rgba(40, 148, 218, 1);
    --accent-color: #252525;
    --preloader-image: url("../img/logo-light-standard.png");
    --font-primary: "Oxanium", sans-serif;
}

p,
.button,
button,
label span,
form input,
form textarea,
.navClassic-list li,
section ul{
    font-family: "Inter", sans-serif;
}

section ul{
    padding-left: 20px;
}

section ul li{
    list-style: disc;
    padding-left: 10px;
}

p + p,
p + .button{
    margin-top: 1rem;
}

p,
section ul{
    font-size: var(--text-lg);
}

section p + ul,
section ul + p{
    margin-top: 0.8rem;
}

section ul + .button,
table + p,
.table-responsive + p,
p + .table-responsive{
    margin-top: 1.75rem;
}

p a{
    font-weight: 600;
    transition: all 0.3s ease;
}

p a:hover{
    opacity: 0.5;
}

.button{
    min-width: 8.25rem;
    padding: 1.125rem 1.875rem;
    font-size: 0.9375rem;
    line-height: 1;
    font-weight: 500;
    text-transform: uppercase;
    letter-spacing: 0.03em;
}

.text-white .sectionHeading__title{
    color: #fff;
}

.sectionHeading .sectionHeading__title{
    line-height: 1.1;
    font-weight: 700;
    font-size: 3.5rem;
}

.table-responsive {
    width: 100%;
    overflow-x: auto;
    -webkit-overflow-scrolling: touch;
}

.table-responsive table {
    min-width: 100%; /* regola il valore */
    width: max-content;
    border-collapse: collapse;
}

/* ==========================================================================
   GLOBAL
   ========================================================================== */

img {
    width: 100%;
}

section.d-flex {
    gap: 45px;
    padding: 90px 0;
}

footer.d-flex {
    gap: 45px;
    padding: 90px 0;
}

input.text-white,
textarea.text-white{
    color: #fff;
    border-color: rgba(255, 255, 255, 0.50) !important;
}

input.text-white:focus,
textarea.text-white:focus{
    border-color: rgba(255, 255, 255, 1) !important;
}

input.text-white::placeholder,
textarea.text-white::placeholder{
    color: rgba(255, 255, 255, 0.80);
}

.container-wide{
    padding: 0 3rem;
}

.navClassic-list li:hover,
.navClassic-list li:hover a{
    color: var(--theme) !important;
}

/* ==========================================================================
   THEME
   ========================================================================== */

.bg-theme {
    background-color: var(--theme);
}

.bg-black {
    background-color: black;
}

.bg-black * {
    color: #fff;
}

.bg-theme h2,
.bg-theme .sectionHeading__subtitle,
body .bg-theme {
    color: #fff;
}

.text-theme {
    color: var(--theme);
}

.icon-color-theme {
    background-color: var(--theme);
}

.icon-color-white {
    background-color: #fff !important;
}

/* ==========================================================================
   PRELOADER
   ========================================================================== */

.preloader__progress {
    width: auto;
    height: auto;
}

.preloader__progress__inner {
    background-color: var(--theme);
}

/* ==========================================================================
   BUTTONS
   ========================================================================== */

.button.-theme {
    background-color: var(--theme);
    border: 0.0625rem solid var(--theme);
    text-align: center;
    border-radius: 3.75rem;
}

.button:hover {
    color: #fff !important;
    border-color: #fff !important;
    background-color: transparent;
}

.button.-theme:hover {
    color: var(--theme) !important;
    border-color: var(--theme) !important;
}

/* ==========================================================================
   LAYOUT UTILITIES
   ========================================================================== */

.w-100 {
    width: 100%;
}

.h-100 {
    height: 100%;
}

.w-25-g30 {
    width: calc(((100% - (30px * 3)) / 4) * 1);
}

.w-33-g30 {
    width: calc(((100% - (30px * 2)) / 3) * 1);
}

.w-50-g30 {
    width: calc(((100% - (30px * 1)) / 2) * 1);
}

.w-50-g45 {
    width: calc(((100% - (45px * 1)) / 2) * 1);
}

.w-50-g60 {
    width: calc(((100% - (60px * 1)) / 2) * 1);
}

.gap-30 {
    gap: 30px;
}

.gap-45 {
    gap: 45px;
}

.gap-60 {
    gap: 60px;
}

.flex-column {
    flex-direction: column;
}

.flex-row {
    flex-direction: row;
}

.flex-wrap {
    flex-wrap: wrap;
}

.flex-grow {
    flex-grow: 1;
}

.flex-align-start {
    align-content: flex-start;
}

.flex-align-center {
    align-content: center;
}

.flex-align-items-center{
    align-items: center;
}

.flex-align-items-start{
    align-items: flex-start;
}
    
.flex-justify-center {
    justify-content: center;
}
    
.flex-justify-space-between {
    justify-content: space-between;
}

/* ==========================================================================
   VISUAL UTILITIES
   ========================================================================== */

.rounded {
    border-radius: 25px;
}

.round {
    border-radius: 100px;
}

.uppercase {
    text-transform: uppercase !important;
}

.img-cover-container {
    min-height: 350px;
    background-position: center center;
    background-repeat: no-repeat;
    background-size: cover;
    /*background-attachment: fixed;*/
}

.img-cover-container p{
    color: #fff;
}

/* ==========================================================================
   ICONS
   ========================================================================== */

.icon-diamond,
.icon-check-001,
.icon-hit-target,
.icon-hourglass-001 {
    display: inline-block;
    background-color: #000;
    -webkit-mask-repeat: no-repeat;
    -webkit-mask-position: center;
    -webkit-mask-size: contain;
    mask-repeat: no-repeat;
    mask-position: center;
    mask-size: contain;
}

.icon-diamond {
    -webkit-mask-image: url("../img/icon-diamond.svg");
    mask-image: url("../img/icon-diamond.svg");
}

.icon-check-001 {
    -webkit-mask-image: url("../img/icon-check-001.svg");
    mask-image: url("../img/icon-check-001.svg");
}

.icon-hit-target {
    -webkit-mask-image: url("../img/icon-hit-target.svg");
    mask-image: url("../img/icon-hit-target.svg");
}

.icon-hourglass-001 {
    -webkit-mask-image: url("../img/icon-hourglass-001.svg");
    mask-image: url("../img/icon-hourglass-001.svg");
}

/* ==========================================================================
   CUSTOM
   ========================================================================== */
   
.app-box a img{
    transition: all 0.4s ease;
}

.app-box a:hover img{
    transform: scale(0.98);
}

.link {
    position: relative;
    display: inline-block;
    text-decoration: none;
    overflow: hidden;
}
    
    .link::after {
        content: "";
        position: absolute;
        left: -120%;
        bottom: 0;
        width: 100%;
        height: 2px;
        background: currentColor;
    }
    
        .link:hover::after {
            animation: underline-slide 0.9s cubic-bezier(.65,0,.35,1);
        }
        
.intro-section{
    padding-top: 180px !important;
}

.badge{
    width: fit-content;
    aspect-ratio: 1;
    display: inline-flex;
    background: var(--theme);
    color: white;
    align-items: center;
    justify-content: center;
    font-size: 24px;
    padding: 10px;
}

.bg-theme .badge{
    background: #fff;
    color: #000000;
}

table{
    width: 100%;
    table-layout: fixed;
    border-collapse: collapse;
}

table tr:not(:first-child){
    border-width: 1px 0 0 0;
    border-style: solid;
    border-color:  rgba(255,255,255,0.5);
}

table th,
table td{
    width: auto;
    padding: 10px;
    text-align: left;
}

table td,
table tr th:not(:first-child){
    text-align: center;
}

table tr.title{
    background-color: #101010;
}

table tr th:not(:first-child),
table tr td:not(:first-child) {
    border-width: 0 0 0 1px;
    border-style: solid;
    border-color:  rgba(255,255,255,0.5);
}

iframe{
    border-radius: 8px;
    min-height: 350px;
}

.divider-theme{
    border-top: 1px solid rgba(40, 148, 218, 0.55);
}

.divider-white{
    border-top: 1px solid rgba(255, 255, 255, 0.55);
}

/* ==========================================================================
   RESPONSIVE
   ========================================================================== */
   

@media (max-width: 1024px) {

    .w-100-resp {
        width: 100%;
    }

    .order-0-resp {
        order: 0;
    }

    .order-1-resp {
        order: 1;
    }
    
    .w-33-g30{
        width: calc(((100% - (30px * 1)) / 2) * 1);
    }
    
    .w-50-g30-resp{
        width: calc(((100% - (30px * 1)) / 2) * 1);
    }
    
    .intro-section{
        padding-top: 145px !important;
    }

}

@media (max-width: 991px) {
    .sectionHeading .sectionHeading__title {
        font-size: 3.25rem;
    }
}

@media (max-width: 767px) {

    .container {
        max-width: fit-content;
    }
    
    .w-100-phone{
        width: 100%;
    }

    .w-25-g30 {
        width: calc(((100% - (30px * 1)) / 2) * 1);
    }
    
    .w-100-phone {
        width: 100%;
    }
    
    .container-wide{
        padding: 0 1.5rem;
    }
    
    .flex-column-phone {
        flex-direction: column;
    }
    
    .text-center-phone{
        text-align: center;
    }
    
    .d-none-phone{
        display: none;
    }
    
    .intro-section{
        padding-top: 130px !important;
    }
    
    p,
    section ul{
        font-size: var(--text-base);
    }
    
    .button{
        padding: 0.9375rem 1.5rem;
        font-size: 0.875rem;
    }
    
    .sectionHeading .sectionHeading__title {
        font-size: 3rem;
    }

}

@media (max-width: 575px) {
    
    .sectionHeading .sectionHeading__title{
        font-size: 2.75rem;
    }

}

/* ==========================================================================
   KEYFRAMES
   ========================================================================== */

@keyframes underline-slide {
    
    0% {
        left: -120%;
    }
    
    45% {
        left: 0%;
    }
    
    55% {
        left: 10%; /* piccolo rallentamento */
    }
    
    100% {
        left: 120%;
    }
    
}